Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060926 - [Doc] Test upgrade of RHOS 3.0 mysql 5.1 databases to mariadb 5.5 database for RHOS 4.0
Summary: [Doc] Test upgrade of RHOS 3.0 mysql 5.1 databases to mariadb 5.5 database fo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Upgrade
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Andrew Dahms
QA Contact: Martin Lopes
URL:
Whiteboard:
Depends On: 1017218
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 23:52 UTC by Summer Long
Modified: 2015-02-13 05:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1017218
Environment:
Last Closed: 2015-02-13 05:49:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Summer Long 2014-02-03 23:52:55 UTC
Will need upgrade procedure for mySQL -> mariaDB.

Comment 1 Martin Lopes 2014-02-04 01:39:27 UTC
This bug is being assigned to Scott Radvan, who is now the designated docs specialist for RHEL integration.

Comment 2 Summer Long 2014-02-04 02:50:39 UTC
Clone of https://bugzilla.redhat.com/show_bug.cgi?id=1017218

Perry Myers (comment 1 in ): 
RHOS 3.0 users relied on the mysql 5.1 database shipped in RHEL 6.4

RHOS 4.0 users will be using mariadb 5.5 which is available as part of the Red Hat Software Collections (RHSCL)

We need to make sure that migration path from RHOS 3.0/mysql5.1 to RHOS 4.0/mariadb5.5 is well documented and stable.

This bug is to track creation of a set of scripts/HOWTO on this migration (which should be offline)

Comment 3 Summer Long 2014-07-21 00:09:30 UTC
Assigning to Andrew Dahms, as the designated author for generic database issues. Also switching to upgrade docs.

Comment 4 Andrew Dahms 2014-08-11 02:42:48 UTC
Hi Lars,

This is Andrew from the RHOS documentation team in Brisbane. Would you be able to answer a few quick questions regarding the process for upgrading from mysql to mariadb?

Namely -

1. When should the upgrade be performed - before upgrading OpenStack components, 
   or after?

2. To confirm - does the openstack-db command also upgrade mariadb, or must users
   follow the manual process?

3. Does upgrading the database by removing mysql, installing mariadb and running
   'mysql_upgrade' affect any of the data inside the database?

Any information you could provide would be greatly appreciated.

Kind regards,

Andrew

Comment 7 Andrew Dahms 2014-09-04 22:36:40 UTC
Documentation Link
------------------------------
https://access.redhat.com/articles/1168953
https://access.redhat.com/articles/1168993
https://access.redhat.com/articles/1169003

What Changed
------------------------------
A new procedure on how to upgrade from MySQL to MariaDB was created and added to the above three articles.

This procedure is titled "Upgrade the Database Server", and can be found near the bottom of each article.

NVR
------------------------------
Included from Version 1 of each article.

Moving to ON_QA.

Comment 8 Martin Lopes 2014-10-16 00:48:02 UTC
Looks good to me. Verified.


Note You need to log in before you can comment on or make changes to this bug.